#include <iostream>
#include <string>
#include "operation.h"
#include "clock.h"

int main(int argc, char const* argv[])
{
	// Declaracion de variables
	std::string name;
	bool running = true;
	float time = 10;
	int level = 1;
	int cont = 0;
	int score = 0;
	int result;
	
	// Presentacion del programa
	std::cout << "--------------------\n";
	std::cout << "     CALCULATOR\n";
	std::cout << "--------------------\n";
	std::cout << "Demuestra tu agilidad mental.\n";
	
	std::cout << "Introduce tu nombre: ";
	std::cin >> name;
	
	std::cout << "Bien, " << name << " introduce el tiempo limite (segundos): ";
	std::cin >> time;
	
	std::cout << "Genial, " << name << " dispones de " << time;
	std::cout << " segundos para acertar el mayor numero de operaciones\n";
	std::cout << "\nVAMOS A ELLO\n\n";
	
	Clock clock;
	clock.Reset();
	
	while (running)
	{
		std::cout << "Puntos: " << score << "\n\n";
		
		Operation op(level);
		std::cout << op.GetString();
		std::cin >> result;
		
		if (result == op.result)
		{
			system("clear");
			std::cout << "CORRECTO!\n\n";
			score += level * 2;
			cont += 1;
			if (cont == 10)
			{
				level += 1;
				cont = 0;
			}
		}
		else
		{
			system("clear");
			std::cout << "Fallaste!\n\n";
		}
		
		if (clock.GetElapsedTime() >= time)
		{
			running = false;
		}
	}
	
	std::cout << "Se acabo el tiempo!!!\n";
	std::cout << name << " tu puntuacion ha sido: " << score << "\n\n";
	
	return 0;
}
